import { request } from "@/components/service/index";
import { UserSearch, User } from "@/components/models/management/User";

export const UserManagerService = {
  // 로그인
  signIn: (payload: User) => {
    return request.post("/api/auth/signin", payload);
  },
  // 회원가입
  signUp: (payload: User) => {
    return request.post("/api/auth/signup", payload);
  },
  // 로그아웃
  signOut: () => {
    return request.post("/api/auth/signout", {});
  },
  // 토큰 갱신
  refreshtoken: () => {
    return request.post("/api/auth/refreshtoken", {});
  },
  // 전체 사용자 조회
  getAll: () => {
    return request.get("/api/auth/users", {});
  },
  // 사용자 조회
  getUser: (userId: number) => {
    return request.get(`/api/auth/users/${userId}`, {});
  },
  // 사용자 수정
  update: (id: number, payload: User) => {
    return request.put(`/api/auth/users/${id}`, payload);
  },
  // 사용자 삭제
  delete: (id: Number) => {
    return request.delete(`/api/auth/users/${id}`, {});
  },
};
